
import request from '@/utils/request'
import { parseStrEmpty } from "@/utils/ruoyi";

/* 工程管理新增 */
export function addWork(data) {
    return request({
      url: '/work/add',
      method: 'post',
      data: data
    })
  }


/* 工程管理列表 */
export function listWork(query) {
  return request({
    url: '/work/list',
    method: 'get',
    params: query
  })
}
/* 工程管理编辑 */
export function updateWork(data) {
  return request({
    url: '/work/update',
    method: 'post',
    data: data
  })
}

/* 工程管理 删除 /dele/{wkId} */

export function deleteWork(query) {
  return request({
    url: `/work/dele/${query}`,
    method: 'get'
  })
}